2025-04-01Datasets
Viewing API version 2025-04-01. View the latest version.
List Datasets for Data Source
List available datasets for a data source.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
datasourceSlug*string
Data source slug (e.g., de-handelsregister, fr-registre-national-des-entreprises)
Header Parameters
Kausate-Version?string
Default
"2025-04-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/datasets/de-handelsregister" \ -H "Kausate-Version: 2025-04-01"{
"datasets": [
{
"datasetId": "string",
"dataSourceSlug": "string",
"jurisdictionCode": "ec",
"dataSourceName": "string",
"datasetDate": "2019-08-24",
"recordCount": 0,
"jsonlSizeBytes": 0,
"fileSizeBytes": 0,
"createdAt": "2019-08-24T14:15:22Z",
"downloadUrl": "http://example.com"
}
]
}{
"detail": "Invalid API key"
}{
"detail": "Dataset not found"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}{
"detail": "An internal error occurred"
}Last updated on